/* Stili di base */
body {
    font-family: 'Inter', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f4f4f4;
    color: #333;
}

.main-header {
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    padding: 1em 2em;
}

.header-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
}

.logo {
    font-size: 1.5em;
    font-weight: bold;
    color: #2f5ea3;
    text-decoration: none;
}

.main-nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

.main-nav li a {
    text-decoration: none;
    color: #333;
    padding: 0.5em 1em;
    display: block;
}

.main-content {
    max-width: 1200px;
    margin: 2em auto;
    padding: 0 2em;
}

.main-footer {
    text-align: center;
    padding: 2em 0;
    margin-top: 2em;
    background-color: #333;
    color: #fff;
}

/* Stili per il banner dei cookie */
.cookie-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #333;
    color: #fff;
    padding: 1rem;
    text-align: center;
    box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.2);
    z-index: 1000;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
.cookie-options {
    text-align: left;
    margin-top: 1em;
    display: inline-block;
}

/* Stili per la responsività */
.menu-toggle {
    display: none;
    background: none;
    border: none;
    font-size: 2em;
    cursor: pointer;
}

@media (max-width: 768px) {
    .header-content {
        flex-wrap: wrap;
    }
    
    .main-nav {
        width: 100%;
        display: none;
    }

    .main-nav.active {
        display: block;
    }

    .main-nav ul {
        flex-direction: column;
        width: 100%;
    }

    .main-nav li a {
        padding: 1em;
        border-bottom: 1px solid #eee;
    }

    .menu-toggle {
        display: block;
    }
}

/* Stili personalizzati per sovrascrivere i colori di Tailwind */

/* Testi e bordi */
:where(.text-indigo-600) {
    color: #2f5ea3 !important;
}

:where(.text-indigo-500) {
    color: #2f5ea3 !important;
}

/* Sfondi */
:where(.bg-indigo-600) {
    background-color: #2f5ea3 !important;
}

/* Hover sui pulsanti */
:where(.hover\:bg-indigo-700:hover) {
    background-color: #24497e !important; /* Una tonalità leggermente più scura per l'effetto hover */
}